# NIGHTINGALE notes

## COPELAND/Colossus

### Sect 5: Dollis-Hill at War. The pre-Colossus Era. pp.284-286.

* <https://academic.oup.com/book/40641/chapter-abstract/348306538?redirectedFrom=fulltext>
* [HB 9780192840554](https://isbn.nu/9780192840554) [PB 9780199578146](https://isbn.nu/9780199578146)
* <https://doi.org/10.1093/oso/9780192840554.003.0033>

> Copeland, Jack, and David Bolam, 'Dollis Hill at War'; Colossus: The secrets of Bletchley Park's code-breaking computers (Oxford,2006;online edn,Oxford Academic , 12 Nov. 2020), https://doi.org/10.1093/oso/9780192840554.003.0033,  accessed 3 Sept. 2022. 

> "Relay-based machines used against the Hagelin and Sturgeon cipher machines"

_(Probably included steppers as pseudo-rotors, as the Enigma & Sturgeon decoders did?_)

> "Harry Fensom was recruited to DH in 1942, joining Flowers'[s] group. He was involved with ... 'Nightingale', a machine that imitated the Hagelin C38 chipper machine employed by the Italians (see Appendix 4)."

Fensom "was a radio ham and also had City and Guild certificates in radio communications" in addition to being automated phone exchange maintenance technician.

"Nightingale's designer, Sidney Broadhurst"

"Ten-foot steel rack of telephone exchange-type apparatus "

_so IJ US UK all applied steppers to cryptology. Relay logic was slow but well known. _


### Appendix 4. My Work at Bletchley Park. William T. Tutte. pp.352ff

<https://doi.org/10.1093/oso/9780192840554.005.0043>

Research Section

#### The Hagelin Machine p.353f

> "Users of additive cipher machines are, or ought to be, strictly forbidden to send two messages in depth. ... perfect obedience is difficult to get in practice"

"Structure of the key"

(_Iteratively determining weights n₁ n₆ by constraint violations from computed key stream from a hand broken depth .)_

-------

## Other

_Broadhurst in group photo_
<https://twitter.com/VirtualColossus/status/1029513399397478401>

> It's listed in BT Archives as Highgate Wood Electronic Exchange, 23 August 1962. (https://bt.com/about/bt/our-history/bt-archives)
[*](https://twitter.com/VirtualColossus/status/1566310366178598913)

<https://en.wikipedia.org/wiki/Post_Office_Research_Station>

<https://www.research.manchester.ac.uk/portal/files/205624795/FULL_TEXT.PDF> PDF
***'Research is the Door to Tomorrow': the Post Office Engineering Research Station, Dollis Hill, 1933–1958***
Rachel Boon, Doctoral Thsesis, U Manchester, 2020.

----

_SWB worked on 1960s phone electronic exchange, as shown in photo; capstone of his & T Flower's long range R&D programme. SWB & TF were better known in general public for ERNIE, the random number generator for the British Premium Bond lottery. Bonds were sold through the Post Office, so Postmaster was ringmaster for the lottery draw, and thus Dollis-Hill electronic exchange team built ERNIE 1. The how and why of Random numbers, both True and psuedo-, are intimately connected to Cryptology. (The irony of the connection is that Hamming and Shannon were officemates while working on their respective breakthrough theories which were only later found to be duals.)_

<u>E</u>lectronic  
<u>R</u>andom  
<u>N</u>umber  
<u>I</u>ndicator  
<u>E</u>quipment

<https://en.wikipedia.org/wiki/Premium_Bond#ERNIE>
<https://en.wikipedia.org/wiki/Premium_Bond#/media/File:ERNIE1_2012.JPG>
<https://gigazine.net/gsc_news/en/20200205-premium-bond-ernie/>
<https://www.itv.com/news/2019-03-01/meet-ernie-5-the-tiny-new-microchip-choosing-premium-bonds-winners>
<https://thebplbible.co.uk/news/the-end-of-an-ernie/> 
<https://ernie.virtualcolossus.co.uk/ernie.html>
<https://www.i-programmer.info/history/machines/6317-ernie-a-random-number-generator.html> (has [noise generator circuit diagram](https://www.i-programmer.info/images/stories/ComputerCreators/Ernie/circuit.jpg) 
![](https://www.i-programmer.info/images/stories/ComputerCreators/Ernie/circuit.jpg) )


---

_Breaking Hagelin_,Claudio Rizza, 2019, Rivista Marittima. ("Maritime Magazine")  
<https://www.marina.difesa.it/media-cultura/editoria/marivista/Pagine/2019_11.aspx>  
<https://www.academia.edu/41899067/Breaking_Hagelin>
(Italian)


"STORIA E CULTURA MILITARE"

Abstract

> Come fu "penetrata" la macchina cifrante Hagelin C38m della Regia Marina da parte della Government Code & Cypher School britannica, meglio conosciuta come Bletchley Park. Si trattò del della conseguenza di un colpo di mano dei Royal Marines in una sperduta isola del Dodecaneso oppure fu il risultato della bravura dei decrittatori di Bletchley Park? Ma se così fu, cosa fu trafugato dai Marines britannici a Castelrosso nel febbraio del 1941? Dopo anni di ricerche in diversi archivi nazionali ed esteri l'A. prova a dare una spiegazione al mistero.


Google translate:

> How the Hagelin C38m cipher machine of the Regia Marina was "penetrated" by the British Government Code & Cypher School, better known as Bletchley Park. Was it the consequence of a coup by the Royal Marines in a remote island of the Dodecanese or was it the result of the skill of the decryptors of Bletchley Park? But if so, what was stolen by the British Marines in Castelrosso in February 1941? After years of research in various national and foreign archives, the A. try to give an explanation to the mystery.

----

***Cryptanalysis Of The Hagelin Cryptograph***, Wayne G. Barker, 1977, Aegean Park Press.
<https://archive.org/details/hagelin/>

## Steppers 


* IJN used Stepper relays in the RED machine, 20 throw and 6 throw. ![20](1p20t.jpg){#1p20t .float_r  width=50%}
* USA ASA officer-mathematician recognized the 20-6 Consonant-Vowel split of alphabet as meaning 20-position stepper instead of physical rotors, so bought 20t steppers to recreate the machine! 
* (Why didn't IJN use 26-throw? To make code pronouncable? or because telephony would use 10t and 20t preferentially making them easier to acquire?)
* UK GC&CS (BP) used Steppers in several analyzers to make faster imitations of  Enigma & Sturgeon and probably Hagelin , presumably 26-throw to emulate 26 position rotors and 26-or-less pin-wheels. ![26](10p26t-stepper-relay.jpg){#10p26t .float_r width=50%} 